Get a specific organization size
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/organization-sizes/{size_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/organization-sizes/{size_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/organization-sizes/{size_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization size not found!",
"type": "request",
"code": "organization_size_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get a specific organization size
Returns detailed information about a specific organization size category identified by its unique size_id.
GET
/
resources
/
organization-sizes
/
{size_id}
Get a specific organization size
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Path Parameters
Unique identifier for the organization size category
Examples:
"6f0d84f7-e442-4ac0-8297-24e1fe6da692"
"421f13c9-b4d4-4bb8-91a6-1af1d7c3d15a"
Response
Successful Response
Unique identifier for the organization size category
Examples:
"6f0d84f7-e442-4ac0-8297-24e1fe6da692"
"421f13c9-b4d4-4bb8-91a6-1af1d7c3d15a"
Name or range representing the number of employees in the organization
Required string length:
1 - 100Examples:
"51–200 employees"
"201–500 employees"
⌘I